<?php

return [
    'return_to_login' => 'Return to Login',
    'failed' => 'No account matching those credentials could be found.',

    'login' => [
        'title' => 'Login to Continue',
        'button' => 'Log In',
        'required' => [
            'username_or_email' => 'A username or email must be provided.',
            'password' => 'Please enter your account password.',
        ],
    ],

    'forgot_password' => [
        'title' => 'Request Password Reset',
        'label' => 'Forgot Password?',
        'label_help' => 'Enter your account email address to receive instructions on resetting your password.',
        'button' => 'Send Email',
        'required' => [
            'email' => 'A valid email address must be provided to continue.',
        ],
    ],

    'reset_password' => [
        'title' => 'Reset Password',
        'button' => 'Reset Password',
        'new_password' => 'New Password',
        'confirm_new_password' => 'Confirm New Password',
        'requirement' => [
            'password' => 'Passwords must be at least 8 characters in length.',
        ],
        'required' => [
            'password' => 'A new password is required.',
            'password_confirmation' => 'Your new password does not match.',
        ],
        'validation' => [
            'password' => 'Your new password should be at least 8 characters in length.',
            'password_confirmation' => 'Your new password does not match.',
        ],
    ],

    'checkpoint' => [
        'title' => 'Device Checkpoint',
        'recovery_code' => 'Recovery Code',
        'recovery_code_description' => 'Enter one of the recovery codes generated when you setup 2-Factor authentication on this account in order to continue.',
        'authentication_code' => 'Authentication Code',
        'authentication_code_description' => 'Enter the two-factor token generated by your device.',
        'button' => 'Continue',
        'lost_device' => "I've Lost My Device",
        'have_device' => 'I Have My Device',
    ],

    'two_factor' => [
        'label' => '2-Factor Token',
        'label_help' => 'This account requires a second layer of authentication in order to continue. Please enter the code generated by your device to complete this login.',
        'checkpoint_failed' => 'The two-factor authentication token was invalid.',
    ],

    'throttle' => 'Too many login attempts. Please try again in :seconds seconds.',
    'password_requirements' => 'Password must be at least 8 characters in length and should be unique to this site.',
    '2fa_must_be_enabled' => 'The administrator has required that 2-Factor Authentication be enabled for your account in order to use the Panel.',
];
